RadioReference on Facebook   RadioReference on Twitter   RadioReference Blog
 

Go Back   The RadioReference.com Forums > Commercial, Professional Radio and Personal Radio > Motorola Forum


Motorola Forum - For general discussion of Motorola land mobile radio equipment and their trunking technologies.

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
  #1 (permalink)  
Old 12-17-2017, 1:06 PM
Member
  Premium Subscriber
Premium Subscriber
 
Join Date: Dec 2017
Posts: 8
Default MOTOTRBO Firmware Question

Lately I've been getting back into working with radios at my fire station. We officially use XTS1500s and APX4000s but we have a hodgepodge of non-P25 stuff guys have brought in privately.
I'm looking to Restore a couple MOTOTRBO radios and am currently in need of firmware 1.09.10 but I'm sure I'll need others. I just recently got my MOL account back. Is it possible to find any older firmware on there?
Reply With Quote
Sponsored links
  #2 (permalink)  
Old 12-17-2017, 1:33 PM
Forts's Avatar
Mentor
  RadioReference Database Admininstrator
Database Admin
Audio Feed Provider
Audio Feed Provider
 
Join Date: Dec 2002
Location: Strathroy, Ontario Canada
Posts: 5,442
Default

I don't think so, no. Do you need 1.09.10 mobile or portable? Why not just upgrade to most recent?
__________________
Middlesex County/Strathroy-Caradoc Fire Paging Alerts: http://groups.google.com/group/middlesex-fire
Reply With Quote
  #3 (permalink)  
Old 12-17-2017, 2:06 PM
Member
  Premium Subscriber
Premium Subscriber
 
Join Date: Dec 2017
Posts: 8
Default

Damn, that's what I figured. We have a very old computer running CPS 7.6 but I can't find the associated firmware. I'm tempted, but it's not really worth resubscribing to get the latest and greatest when these are just personal radios guys have me program for them, not our department radios.
We have much newer, if not the latest, software for our department radios; but they're not TRBO.
Reply With Quote
  #4 (permalink)  
Old 12-17-2017, 4:58 PM
Member
  Amateur Radio Operator
Amateur Radio
 
Join Date: Mar 2003
Location: PALM BEACH, FLORIDA
Posts: 2,843
Default

There have been lot's of improvements to the Gen 1 radios with the last FW update. 1.12.17. Much improved TX audio using AGC.
__________________
FORMERLY MOONBOOTS
Reply With Quote
  #5 (permalink)  
Old 12-18-2017, 9:10 AM
Member
  Premium Subscriber
Premium Subscriber
 
Join Date: Dec 2017
Posts: 8
Default

That's what I've heard. I may end up resubscribing for myself. Considering it. But right now I'm just tinkering with this stuff for a couple of the guys.
Sorry I missed the question, am I looking for mobile or portable? I'm looking for portable. But please correct me if I'm wrong, I am pretty new to DMR. MOTOTRBO CPS works for mobile and portables, correct? And the associated firmware doesn't specify mobile or portable, so I "assumed" it was the same. Looking around on this old machine I did find firmware 1.08.00 but we do not have the associated CPS version. This machine was updated to 7.6 before the subscription expired.
Reply With Quote
Sponsored links
  #6 (permalink)  
Old 12-18-2017, 11:17 AM
KG4INW's Avatar
Member
  Premium Subscriber
Premium Subscriber
Amateur Radio Operator
Amateur Radio
 
Join Date: Apr 2009
Location: Midlothian, VA
Posts: 1,326
Default

The CPS is for portables/mobiles/repeaters but the firmware is specific for each.
__________________
How many radios can one man own? Don't ask stupid questions.
Reply With Quote
  #7 (permalink)  
Old 12-18-2017, 12:10 PM
Member
  Premium Subscriber
Premium Subscriber
 
Join Date: Dec 2017
Posts: 8
Default

Ok, thank you. I've never personally messed with firmware. When I last programmed a radio it was my HT750 4 channel, non display using dos and Windows 95. Digging through all of the folders on this machine I found firmware 1.08.00.zip. so I "assumed" firmware was firmware.
One more question if I may. I'm getting closer to just biting the bullet and buying the online version of cps 15 to save a little money. I did find reference to CPS 14 having firmware 2.xx. I thought my XPR6550 was a gen one radio and couldn't use firmware 2.xx. Am I wrong?
What CPS are the up to now anyway, 15?
Reply With Quote
  #8 (permalink)  
Old 12-18-2017, 1:11 PM
KG4INW's Avatar
Member
  Premium Subscriber
Premium Subscriber
Amateur Radio Operator
Amateur Radio
 
Join Date: Apr 2009
Location: Midlothian, VA
Posts: 1,326
Default

Correct, XPR6550s and all first generation TRBO radios can only use 1.X firmware but the current/last release for them is 1.12.17. The current version of CPS is 15.5 Build 797 and can be used to update/program all of the first gen radios plus the 2.0 radios. Current firmware for them is R2.8.5.
__________________
How many radios can one man own? Don't ask stupid questions.
Reply With Quote
  #9 (permalink)  
Old 12-18-2017, 1:52 PM
Member
  Premium Subscriber
Premium Subscriber
 
Join Date: Dec 2017
Posts: 8
Default

OK, so if I'm understanding you correctly.
One CPS version usually works with one firmware. Like CPS 7.6 and 1.09.10.
The latest firmware for Gen 1 radios is 1.12.17, probably matched with CPS in the early teens.
The latest CPS is 15.5 and it comes with 2.8.5 for Gen 2 radios but it still works with 1.12.17 for Gen1.

Thanks again for all the assistance. Didn't really care to spend $300 for some non department "fun" radios but the online version is way cheaper (thanks to info I found on here). And it would save a lot of problems.
Reply With Quote
  #10 (permalink)  
Old 12-18-2017, 2:16 PM
KG4INW's Avatar
Member
  Premium Subscriber
Premium Subscriber
Amateur Radio Operator
Amateur Radio
 
Join Date: Apr 2009
Location: Midlothian, VA
Posts: 1,326
Default

Not exactly. The software is backwards compatible but not forward compatible. You can program radios with really old firmware, current, or anything in between using the latest CPS. Once a radio is written to with a certain level, you can only write with that version or newer, can't go back.
__________________
How many radios can one man own? Don't ask stupid questions.
Reply With Quote
  #11 (permalink)  
Old 12-18-2017, 2:21 PM
Member
   
Join Date: Jun 2013
Location: Texas
Posts: 3,057
Default

Quote:
Originally Posted by able247 View Post
OK, so if I'm understanding you correctly.
One CPS version usually works with one firmware. Like CPS 7.6 and 1.09.10.
The latest firmware for Gen 1 radios is 1.12.17, probably matched with CPS in the early teens.
The latest CPS is 15.5 and it comes with 2.8.5 for Gen 2 radios but it still works with 1.12.17 for Gen1.

Thanks again for all the assistance. Didn't really care to spend $300 for some non department "fun" radios but the online version is way cheaper (thanks to info I found on here). And it would save a lot of problems.
The current CPS subscription (without disks) is approximately $180 for 3 years. One issue you may run into though, the current CPS revisions may not support older firmware (this was a big problem when performing the MTR2000 to MTR3000 upgrades).
Reply With Quote
  #12 (permalink)  
Old 12-18-2017, 2:27 PM
Member
  Premium Subscriber
Premium Subscriber
 
Join Date: Dec 2017
Posts: 8
Default

I'm sorry, could have phrased that better.

"The latest CPS is 15.5 and it comes with 2.8.5 for Gen 2 radios but it still works with 1.12.17 for Gen1."

Even though firmware 1.12.17 probably came out with CPS 11 or 12, I can still use CPS 15.5 to write it?

Otherwise that's the problem I have now. I have CPS 7.6 (firmware 1.09.10) but only have firmware 1.08.00 (CPS 6.5). It seems I can program radios fine, but I can not write any firmware other than 1.09.10 using my CPS 7.6.
Reply With Quote
  #13 (permalink)  
Old 12-19-2017, 3:06 PM
Member
  Premium Subscriber
Premium Subscriber
 
Join Date: Dec 2017
Posts: 8
Default

Thanks again for all the help guys.
If I could ask one more question, or rephrase my last one.

MOTOTRBO CPS 15.5 comes with firmware 2.8.5. Does it also come with 1.12.17 for my Gen 1 radios?
Reply With Quote
  #14 (permalink)  
Old 12-19-2017, 3:18 PM
Forts's Avatar
Mentor
  RadioReference Database Admininstrator
Database Admin
Audio Feed Provider
Audio Feed Provider
 
Join Date: Dec 2002
Location: Strathroy, Ontario Canada
Posts: 5,442
Default

If it doesn't I can help you out with that....
__________________
Middlesex County/Strathroy-Caradoc Fire Paging Alerts: http://groups.google.com/group/middlesex-fire
Reply With Quote
  #15 (permalink)  
Old 12-19-2017, 3:29 PM
KG4INW's Avatar
Member
  Premium Subscriber
Premium Subscriber
Amateur Radio Operator
Amateur Radio
 
Join Date: Apr 2009
Location: Midlothian, VA
Posts: 1,326
Default

Having a current subscription to CPS gives you access to whatever firmware is currently available on MOL, which includes 2.8.5 and 1.12.17. It doesn't come with the firmware, per se, but you can get it and install that firmware.
__________________
How many radios can one man own? Don't ask stupid questions.
Reply With Quote
  #16 (permalink)  
Old 01-07-2018, 10:24 AM
Member
  Premium Subscriber
Premium Subscriber
 
Join Date: Dec 2017
Posts: 8
Default

Well I guess I have you guys to blame/thank.
I was just looking for a source for older firmware, that's all. The I realized how many problem re-upping my subscription would solve so I bought the latest CPS download. That would have been good enough but then all this talk about gen1 vs gen2 radios I started looking at the XPR7550. So I ended up selling two 6550s and buying one 7550. I love it. I love having more than 16 channels in a zone.
And now it turns out my fire station is slowly upgrading from the XTS1500 to APX4000s. So the same accessories and chargers work.
Thanks guys.
Reply With Quote
  #17 (permalink)  
Old 01-17-2018, 9:49 PM
Member
   
Join Date: Mar 2010
Location: San Diego
Posts: 1,353
Default

MOL has been "bumping" the 1.12.17 1st Gen firmware, to keep it from falling off of the download list...it would indicate it will probably be the final firmware revision for the old series radios.

Paul
Reply With Quote
  #18 (permalink)  
Old 01-17-2018, 9:59 PM
Member
  Amateur Radio Operator
Amateur Radio
 
Join Date: Mar 2003
Location: PALM BEACH, FLORIDA
Posts: 2,843
Default

Quote:
Originally Posted by Anderegg View Post
MOL has been "bumping" the 1.12.17 1st Gen firmware, to keep it from falling off of the download list...it would indicate it will probably be the final firmware revision for the old series radios.

Paul
It was the final FW update for Gen 1 radios. Works fine with the newest CPS.
__________________
FORMERLY MOONBOOTS
Reply With Quote
Reply

Tags
mototrbo firmware

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On



All times are GMT -5. The time now is 3:41 AM.


Powered by vBulletin® Version 3.8.2
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
All information here is Copyright 2012 by RadioReference.com LLC and Lindsay C. Blanton III.Ad Management by RedTyger
Copyright 2015 by RadioReference.com LLC Privacy Policy  |  Terms and Conditions